{% extends "squelette.html" %}

{% block body %}


  {% with messages = get_flashed_messages(with_categories=true) %}
    {% if messages %}
        <div class="alert alert-success" id="connection-success">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
            <strong>
                {% for message in messages %}
                    {{ message[1] }}
                {% endfor %}
            </strong>
        </div>

    {% endif %}
{% endwith %}
<style>
    body{
       // background:orange;
    }
    .col{
        width:100%;
        height:100%;
        
    }
    .align-items{
        
        width:100%;
        height:100%;
    
    }
    #block-form{
        margin-top:10%;
        margin-left:15%;
        background: rgba(255, 255, 255, 0.589);
        -moz-border-radius:15px;
        -webkit-border-radius:15px;
        border-radius:15px;
        padding:15px;
    }
    .btn{
        margin:10px;
    }
    #reset{
        float:right;
    }
    #inscrire{
        float: right;
    }
    #auth .card{
        background:rgba(255, 255, 0, 0.199);
        border:none;
        outline: none;
        -moz-border-radius:5px;
        -webkit-border-radius:5px;
        border-radius:5px;
       
    }
</style>
  <div class="container" id="blockLogin" style="margin-top:0px;height:auto;width:100%">

        <div class="row align-items">
            <div class="col" id="block-form">

                    <ul class="nav nav-pills nav-justified pills-secondary"  style="margin-top:0px">
                        <li class="nav-item">
                            <a class="nav-link active show" data-toggle="tab" href="#Login_Pwd-Tab" aria-selected="true" role="tab">Connexion Login/Password</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#Vocal_Authentication-Tab" aria-selected="false" role="tab">Signature Vocale</a>
                        </li>
                    </ul>

                    <div class="tab-content">

                        <!--Panel 1-->
                        <div class="tab-pane fade in active show" id="Login_Pwd-Tab" role="tabpanel">

                            <form method="post">
                                    {{ form.csrf_token }}
                                    <div class="row form-group">

                                        <div class="col-lg-6">
                                            <div class="row">

                                                <div class="col form-group">

                                                    <!-- Material input text -->
                                                    <div class="md-form">
                                                        <i class="fa fa-user prefix orange-text"></i>
                                                        {{ form.username(class_="form-control") }}
                                                        <label for="inputUser">Nom d'Utilisateur</label>
                                                    </div>

                                                </div>


                                            </div>
                                            <div class="row">

                                                <div class="col form-group">

                                                    <!-- Material input text -->
                                                    <div class="md-form">
                                                        <i class="fa fa-user-secret prefix orange-text"></i>
                                                        {{ form.password(class_="form-control") }}
                                                        <label for="inputPwd">Password</label>

                                                    </div>
                                                    {% for error in form.errors %}
                                                        <span style="color: red;">[{{ error }}]</span>
                                                    {% endfor %}

                                                </div>

                                            </div>
                                            <div class="row">

                                                    <div class="col">
                                                        <label for="inputPwd">Se souvenir de Moi:</label>
                                                        {{ form.remember_me}}
                                                    </div>

                                            </div>
                                            <div class="row">

                                                <div class="col-lg-3">
                                                        <button type="submit" class="btn btn-success">Connecter</button>
                                                </div>

                                                <div class="col-lg-9">
                                                    <button type="reset" id="reset" class="btn btn-outline-info">Réinitialiser</button>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="col-lg-6" id="auth">
                                            <div class="card">
                                              <div class="card-body">
                                                <h5 class="card-title">Authentification Classique (login/password)</h5>
                                                  <p class="card-text">Veuillez entrer le nom d'utilisateur et le mot de passe qui vous ont été communiqués par l'administrateur.</p>
                                                  <hr>
                                                  <p>Si vous en avez pas encore veuillez contacter avec l'administrateur à travers ce lien.</p>
                                                  <a href="#" id="inscrire" class="btn btn-primary">S'inscrire</a>
                                              </div>
                                            </div>
                                        </div>

                                    </div>

                                </form>

                        </div>
                         <!--/.Panel 1-->


                        <!--Panel 2-->

                        <div class="tab-pane fade" id="Vocal_Authentication-Tab">

                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <div class="card">
                                      <div class="card-body">
                                        <h5 class="card-title">Authentification Par Signature Vocale</h5>
                                          <p class="card-text">Appuyer sur le bouton, <b> Audio </b> et énoncer clairement la phrase suivante:" Je veux me connnecter à l'Assistant Virtuel" </p>
                                          <hr>
                                          <p>Si vous en avez pas encore, veuillez contacter l'administrateur à travers ce lien.</p>
                                          <a href="#" class="btn btn-primary" id="inscrire">S'inscrire</a>
                                      </div>
                                    </div>

                                </div>

                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col form-group">

                                            <!-- Material input text -->
                                            <div class="md-form">
                                                <button type="submit" class="btn btn-danger" id="LoginByAudio" data-loading-text="Loading ...">Audio</button>
                                                <input type="text" class="form-control" id="loginAudio" placeholder="Enoncer sur votre micro: Je veux me connecter à l'assistant virtuel">

                                            </div>

                                        </div>

                                    </div>

                                </div>
                            </div>

                        </div>

                        <!--/.Panel 2-->


                    </div>
            </div>

        </div>

  </div>

{% endblock %}

{% block js %}

    <script type="text/javascript" src="{{ url_for('static', filename='js/vocal_authentication.js')}}"></script>
{% endblock %}